Bug 179356 - [PATCH] graphics/scantailor: update to 0.9.11.1, add docs
Summary: [PATCH] graphics/scantailor: update to 0.9.11.1, add docs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Veniamin Gvozdikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-06 04:20 UTC by nemysis
Modified: 2013-08-07 10:39 UTC (History)
1 user (show)

See Also:


Attachments
scantailor-0.9.11.1.patch (2.94 KB, patch)
2013-06-06 04:20 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-06-06 04:20:00 UTC
- Update to 0.9.11.1
- Trim comment
- Trim Desktop entry file
- Add icon
- Add docs
- Add HTML LATEX Options
- Add dependency for devel/doxygen
- Trim pkg-plist


Port maintainer (g.veniamin@googlemail.com) is cc'd.

Generated and tested manually, tested with port test and with RedPorts, sent with FreeBSD Port Tools 0.99_7 (mode: update, diff: ports)

How-To-Repeat: 
Build log

https://redports.org/buildarchive/20130606015600-56953/
Comment 1 Edwin Groothuis freebsd_committer 2013-06-06 04:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-06 04:20:09 UTC
Maintainer of graphics/scantailor,

Please note that PR ports/179356 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179356

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-06-06 04:20:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Veniamin 2013-06-06 06:05:06 UTC
I'm agree with patches.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-06-06 06:19:15 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2013-07-29 01:52:32 UTC
Responsible Changed
From-To: beech->vg

maintainer is now committer.
Comment 7 dfilter service freebsd_committer 2013-08-07 09:40:31 UTC
Author: vg
Date: Wed Aug  7 08:40:17 2013
New Revision: 324335
URL: http://svnweb.freebsd.org/changeset/ports/324335

Log:
  - Update to 0.9.11.1
  - Trim comment
  - Trim Desktop entry file
  - Add icon and docs
  - Add HTML LATEX Options
  - Add dependency for devel/doxygen
  - Trim pkg-plist
  
  PR:		ports/179356
  Submitted by:	nemysis <nemysis@gmx.ch>
  Approved by:	osa (mentor)

Modified:
  head/graphics/scantailor/Makefile
  head/graphics/scantailor/distinfo
  head/graphics/scantailor/pkg-plist

Modified: head/graphics/scantailor/Makefile
==============================================================================
--- head/graphics/scantailor/Makefile	Wed Aug  7 08:36:50 2013	(r324334)
+++ head/graphics/scantailor/Makefile	Wed Aug  7 08:40:17 2013	(r324335)
@@ -2,13 +2,12 @@
 # $FreeBSD$
 
 PORTNAME=	scantailor
-PORTVERSION=	0.9.11
-PORTREVISION=	1
+PORTVERSION=	0.9.11.1
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
 MAINTAINER=	vg@FreeBSD.org
-COMMENT=	Scan Tailor is an interactive post-processing tool for scanned pages
+COMMENT=	Interactive post-processing tool for scanned pages
 
 LICENSE=	GPLv3
 
@@ -23,7 +22,42 @@ USE_QT4=	gui xml qmake_build uic_build m
 		linguist_build
 MAKE_JOBS_SAFE=	yes
 
-DESKTOP_ENTRIES="Scan Tailor" "Interactive post-processing tool for scanned pages" \
-		"" "${PORTNAME}" "Graphics;Scanning;" false
+DESKTOP_ENTRIES="Scan Tailor" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}" "Graphics;Scanning;" false
+
+OPTIONS_GROUP=	DOXYGEN
+
+OPTIONS_GROUP_DOXYGEN=	HTML LATEX
+
+OPTIONS_DEFAULT=
+
+HTML_DESC=	Install HTML Doxygen files
+LATEX_DESC=	Install LaTeX Doxygen files
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MHTML} || ${PORT_OPTIONS:MLATEX}
+PORTDOCS=	*
+.endif
+
+.if ${PORT_OPTIONS:MHTML} || ${PORT_OPTIONS:MLATEX}
+BUILD_DEPENDS+=	doxygen:${PORTSDIR}/devel/doxygen
+.endif
+
+post-install:
+	${INSTALL_DATA} ${WRKSRC}/resources/icons/appicon-about.png \
+		${PREFIX}/share/pixmaps/${PORTNAME}.png
+
+.if ${PORT_OPTIONS:MHTML} || ${PORT_OPTIONS:MLATEX}
+	@cd ${WRKSRC} && doxygen .
+.endif
+
+.if ${PORT_OPTIONS:MDOCS} && ${PORT_OPTIONS:MHTML}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} html ${DOCSDIR})
+.endif
+
+.if ${PORT_OPTIONS:MDOCS} && ${PORT_OPTIONS:MLATEX}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} latex ${DOCSDIR})
+.endif
 
 .include <bsd.port.mk>

Modified: head/graphics/scantailor/distinfo
==============================================================================
--- head/graphics/scantailor/distinfo	Wed Aug  7 08:36:50 2013	(r324334)
+++ head/graphics/scantailor/distinfo	Wed Aug  7 08:40:17 2013	(r324335)
@@ -1,2 +1,2 @@
-SHA256 (scantailor-0.9.11.tar.gz) = e158fa5c38b1c34dec47e611e27d74a0508bc2b6818b84f0d05f98ba184c9c11
-SIZE (scantailor-0.9.11.tar.gz) = 1175866
+SHA256 (scantailor-0.9.11.1.tar.gz) = 881647a4172c55a067a7b6687965441cf21176d79d93075b22a373ea9accd8d3
+SIZE (scantailor-0.9.11.1.tar.gz) = 1190198

Modified: head/graphics/scantailor/pkg-plist
==============================================================================
--- head/graphics/scantailor/pkg-plist	Wed Aug  7 08:36:50 2013	(r324334)
+++ head/graphics/scantailor/pkg-plist	Wed Aug  7 08:40:17 2013	(r324335)
@@ -1,5 +1,6 @@
 bin/scantailor
 bin/scantailor-cli
+share/pixmaps/scantailor.png
 %%DATADIR%%/translations/scantailor_bg.qm
 %%DATADIR%%/translations/scantailor_cs.qm
 %%DATADIR%%/translations/scantailor_de.qm
@@ -8,6 +9,7 @@ bin/scantailor-cli
 %%DATADIR%%/translations/scantailor_it.qm
 %%DATADIR%%/translations/scantailor_ja.qm
 %%DATADIR%%/translations/scantailor_pl.qm
+%%DATADIR%%/translations/scantailor_pt_BR.qm
 %%DATADIR%%/translations/scantailor_ru.qm
 %%DATADIR%%/translations/scantailor_sk.qm
 %%DATADIR%%/translations/scantailor_uk.qm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Veniamin Gvozdikov freebsd_committer 2013-08-07 10:39:33 UTC
State Changed
From-To: open->closed

Committed, thank you!